# Class CIM_ElementProfile

Note: The Profile class is being deprecated in lieu of using a ConcreteComponent relationship to indicate a hierarchy of Setting or SettingData instances. This relationship allows the reuse of the element to Setting or SettingData associations instead of defining a peer association specifically for Profiles. Deprecated description: ElementProfile represents the association between ManagedElements and the Profiles (collection of settings) that are defined for them. This association indicates that the settings that are collected by the Profile apply to the associated ManagedElement.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ElementProfile

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ElementSettingData, CIM_ElementSetting

Description

string

Note: The Profile class is being deprecated in lieu of using a ConcreteComponent relationship to indicate a hierarchy of Setting or SettingData instances. This relationship allows the reuse of the element to Setting or SettingData associations instead of defining a peer association specifically for Profiles. Deprecated description: ElementProfile represents the association between ManagedElements and the Profiles (collection of settings) that are defined for them. This association indicates that the settings that are collected by the Profile apply to the associated ManagedElement.

UMLPackagePath | string | CIM::Core::Settings
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
ManagedElement | CIM_ElementProfile | CIM_ManagedElement
Profile | CIM_ElementProfile | CIM_Profile

## Class Methods